# No Man's Sky 5.2.8
# BID: 6488A67709988BD7

unsafeCheck: true

MASTER_WRITE:
# Redirect DR frametime target to MAIN+0x4963F00
  -
    type: bytes
    main_offset: 0x1F9D198
    value_type: uint32
    value: 0xD503201F
  -
    type: bytes
    main_offset: 0x1F9D1A4
    value_type: uint32
    value: 
      - 0xD0014E32
      - 0xB9400408
      - 0xBD4F0240
  # default value
  -
    type: bytes
    main_offset: 0x4963F00
    value_type: float
    value: 33.3333333333
ALL_FPS:
  -
    type: evaluate_write
    address: [MAIN, 0x4963F00]
    value_type: float
    value: FRAMETIME_TARGET